# @gdksoftware/mysql
This is a wrapper for the [mysql](https://www.npmjs.com/package/mysql) package. It makes it easier to connect and execute queries. It supports both common Javascript and TypeScript as well.

## Installation 
```sh
npm install @gdksoftware/mysql
yarn add @gdksoftware/mysql
bower install @gdksoftware/mysql --save
```
## Usage
### Javascript
```javascript
const mysql = require('@gdksoftware/mysql');

let db = new MySQL({
    host: 'localhost'
    user: 'root'
    password: 'pwd'
    port: '3306'
    database: 'mydb'
})

db.query('SELECT * FROM user').then((rows) => {
  
  // Do something with the given rows
}, (err) => {

  // Handle the exception
})
```

### TypeScript
The import differs For TypeScript, but you can use it like the common Javascript example.

```typescript
import MySQL from '@gdksoftware/mysql';
```
